{{- if .Values.deploySecret.create }}
apiVersion: v1
kind: Secret
metadata:
  name: {{ template "passit.serviceAccountName" . }}-deploy
  annotations:
    kubernetes.io/service-account.name: {{ template "passit.serviceAccountName" . }}
type: kubernetes.io/service-account-token
{{- end }}